MRED(1)

NAME
mred - The PLT Graphical Scheme implementation

SYNOPSIS
mred [ X option ... ] [ option ... ] [ argument ... ]

DESCRIPTION
MrEd is the PLT's graphical Scheme implementation. It embeds and extends MzScheme with a graphical user interface (GUI) toolbox.

DrScheme is the graphical development environment for creating MzScheme and MrEd applications.

X OPTIONS
MrEd accepts the following standard X flags : -display disp, -geometry geom, -bg color, -background color, -fg color, -foreground color, -fn font, -font font, -iconic, -name name, -rv, -reverse, +rv, -selectionTimeout time, -synchronous, -title name, -xnllanguage lang, -xrm file. These flags must appear before all other flags.

OPTIONS
Startup file and expression switches:

-e expr
    Evaluates expr after MrEd starts.

-f file
    Loads file after MrEd starts.

-d file
    Load/cds file after MrEd starts.

-F
    Loads all remaining arguments after MrEd starts.

-D
    Load/cds all remaining arguments after MrEd starts.

-l file
    Same as -e '(require-library " file ")'.

-L file coll
    Same as -e '(require-library " file " "coll ")'.

-r, --script
    Script mode: use as last flag for scripts. Same as -fmv-.

-i, --script-cd
    Like -r, but also sets the directory. Same as -dmv-.

-z, --stdio
    Use stdio REPL. Same as -ve '(read-eval-print-loop)'.

-w, --awk
    Same as -l awk.ss.

Initialization switches:

-x, --no-lib-path
    Does not try to set current-library-collection-paths.

-q, --no-init-file
    Does not try to load "~/.MrEdrc".

Language setting switches:

-g, --case-sens
    Identifiers and symbols are initially case-sensitive.

-c, --esc-cont
    Call/cc is replaced with call/ec.

-s, --set-undef
    Set! works on undefined identifiers.

-a, --no-auto-else
    Fall-through cond or case is an error.

-n, --no-key
    Keywords are not enforced.

-y, --hash-percent-syntax
    Only #% syntactic forms are present.

-p, --persistent
    Catches AIX SIGDANGER (low page space) signal. (AIX only)

Miscellaneous switches:

--
    No argument following this switch is used as a switch.

-m, --mute-banner
    Suppresses -v/--version text.

-v, --version
    Suppresses the read-eval-print loop, prints version.

-h, --help
    Shows help for command-line arguments and exits, ignoring other switches.

-Rfile, --restore file
    Restores an image; must be the only switch. (Special versions only)

Multiple single-letter switches can be collapsed, with arguments placed after the collapsed switches; the first collapsed switch cannot be --. E.g.: -vfme file expr is the same as -v -f file -m -e expr.

Extra arguments following the last switch are put into the Scheme global variable `argv' as a vector of strings. The name used to start MrEd is put into the global variable `program' as a string.

Extra arguments after a --restore file are returned as a vector of strings to the continuation of the `write-image-to-file' call that created the image.

Expressions/files are evaluated/loaded in order as provided.

The current-library-collections-paths parameter is automatically set before any expressions/files are evaluated/loaded, unless the -x or --no-lib-path switch is used.

For further information on MrEd, please consult the on-line documentation and other information available at

http://www.cs.rice.edu/CS/PLT/packages/MrEd/

FILES
The file "~/.mredrc" is loaded before any provided expressions/files are evaluated/loaded, unless the -q or --no-init-file switch is used.

The library collections search path is read from the PLTCOLLECTS environment variable (as a colon-separated list of paths). Wherever the empty path appears appears in PLTCOLLECTS, it is replaced with the default collections directory. If PLTCOLLECTS is not defined, the default collections directory is used as the only element in the search path.

MrEd looks for the default collections directory as one of the following (tried in order):

    The path in the environment variable PLTHOME is checked for a "collects" subdirectory.

    If MrEd was invoked with an absolute pathname, the directory of the invoked executable is checked. If the executable is a link, the directory of the referenced file is also checked, recursively following links.

    If MrEd is invoked with a relative pathname, the directories in the PATH environment variable containing a file with the name of the program as invoked (usually "MrEd") are checked. Links are followed as in the first case.

    The "/usr/local/lib/plt/collects" directory is tried.

Please consult your local administrator to determine whether the on-line documentation has been installed locally.

BUGS
Submit bug reports via
http://www.cs.rice.edu/CS/PLT/Bugs/ (encouraged) or by e-mail to
plt-bugs@cs.rice.edu (discouraged)

AUTHOR
MrEd was implemented by Matthew Flatt (mflatt@cs.utah.edu) with Robert Bruce Findler (robby@cs.rice.edu) and John Clements (clements@cs.rice.edu), based on MzScheme.

SEE ALSO
mzscheme(1), drscheme(1), drscheme-jr(1)